ARG GO_VERSION
ARG ALPINE_VERSION

FROM golang:${GO_VERSION}-alpine${ALPINE_VERSION}

RUN apk add --no-cache make git py-pip bash curl ca-certificates openssl

ARG GCLOUD_SDK_VERSION

RUN curl -L https://dl.google.com/dl/cloudsdk/channels/rapid/downloads/google-cloud-sdk-${GCLOUD_SDK_VERSION}-linux-x86_64.tar.gz -o /tmp/google-cloud-sdk.tar.gz && \
    tar -xzvf /tmp/google-cloud-sdk.tar.gz -C /usr/local/lib && \
    /usr/local/lib/google-cloud-sdk/install.sh --usage-reporting=false --path-update=true && \
    rm -rf /tmp/*

ENV PATH="/usr/local/lib/google-cloud-sdk/bin:${PATH}"

RUN gcloud --quiet components update
